# Interface ProcessingStep

All Known Implementing Classes:
  `CacheFilter, CheckFilter, FixNamesFilter, ProgressFilter, RandomFilter, RandomViewFilter, SequentialViewFilter`

public interface ProcessingStep
Represents one step of a table processing pipeline.

Since:
  3 Mar 2005
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`wrap(uk.ac.starlink.table.StarTable base)`
Performs a table filtering step.

## Method Details

### wrap

uk.ac.starlink.table.StarTable wrap(uk.ac.starlink.table.StarTable base) throws IOException
Performs a table filtering step.

Parameters:
  `base` - input table
Returns:
  output table
Throws:
  `IOException`